Skip to main content
POST
/
project-permissions
/
{user_id}
/
{permission_id}
Grant a global permission to a user
curl --request POST \
  --url https://api.hexclave.com/api/v1/project-permissions/{user_id}/{permission_id} \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://api.hexclave.com/api/v1/project-permissions/{user_id}/{permission_id}"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.hexclave.com/api/v1/project-permissions/{user_id}/{permission_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "read_secret_info",
  "user_id": "3241a285-8329-4d69-8f3d-316e08cf140c"
}

Path Parameters

user_id
string

The ID of the user, or the special value me for the currently authenticated user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"

permission_id
string

The permission ID used to uniquely identify a permission. Can either be a custom permission with lowercase letters, numbers, :, and _ characters, or one of the system permissions: $update_team, $delete_team, $read_members, $remove_members, $invite_members, $manage_api_keys

Example:

"read_secret_info"

Body

application/json

The body is of type object.

Response

201 - application/json

Successful response

id
string
required

The permission ID used to uniquely identify a permission. Can either be a custom permission with lowercase letters, numbers, :, and _ characters, or one of the system permissions: $update_team, $delete_team, $read_members, $remove_members, $invite_members, $manage_api_keys

Example:

"read_secret_info"

user_id
string
required

The unique identifier of the user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"